org.apache.xerces.util

## Class DefaultErrorHandler

- java.lang.Object
- - org.apache.xerces.util.DefaultErrorHandler

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLErrorHandler

    public class DefaultErrorHandler
    extends java.lang.Object
    implements org.apache.xerces.xni.parser.XMLErrorHandler

Default error handler.

Version:
  $Id: DefaultErrorHandler.java 449104 2006-09-22 22:03:29Z mrglavas $
Author:
  Andy Clark, IBM

### Field Summary

Fields
`protected java.io.PrintWriter` `fOut` Print writer.

### Constructor Summary

Constructors
Constructor and Description
`DefaultErrorHandler()` Constructs an error handler that prints error messages to `System.err`.
`DefaultErrorHandler(java.io.PrintWriter out)` Constructs an error handler that prints error messages to the specified `PrintWriter`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)` Error.
`void` `fatalError(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)` Fatal error.
`void` `warning(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException ex)` Warning.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fOut

    protected java.io.PrintWriter fOut

Print writer.

### Constructor Detail

#### DefaultErrorHandler

    public DefaultErrorHandler()

Constructs an error handler that prints error messages to `System.err`.

#### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintWriter out)

Constructs an error handler that prints error messages to the specified `PrintWriter`.

### Method Detail

#### warning

    public void warning(java.lang.String domain,
                        java.lang.String key,
                        org.apache.xerces.xni.parser.XMLParseException ex)
                 throws org.apache.xerces.xni.XNIException

Warning.

Specified by:
  `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Parameters:
  `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this warning.
  `key` - The warning key. This key can be any string and is implementation dependent.
  `ex` - Exception.
Throws:
  `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

#### error

    public void error(java.lang.String domain,
                      java.lang.String key,
                      org.apache.xerces.xni.parser.XMLParseException ex)
               throws org.apache.xerces.xni.XNIException

Error.

Specified by:
  `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Parameters:
  `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this error.
  `key` - The error key. This key can be any string and is implementation dependent.
  `ex` - Exception.
Throws:
  `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

#### fatalError

    public void fatalError(java.lang.String domain,
                           java.lang.String key,
                           org.apache.xerces.xni.parser.XMLParseException ex)
                    throws org.apache.xerces.xni.XNIException

Fatal error.

Specified by:
  `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Parameters:
  `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevant specification or document pertaining to this fatal error.
  `key` - The fatal error key. This key can be any string and is implementation dependent.
  `ex` - Exception.
Throws:
  `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.